Worklight Studio Upgrade Fails

Technote (troubleshooting)


Problem(Abstract)

When you upgrade Worklight Studio using P2 (Eclipse upgrade) from version 5.0.0.3 or earlier to a new version by using Help -> Install New Software, a failure results.

Symptom

An error will be presented similar to the following example:

Your original request has been modified.

    "IBM Dojo Mobile Tools" is already installed, so an update will be performed instead.
    "IBM Worklight Studio" is already installed, so an update will be performed instead.
Cannot complete the install because of a conflicting dependency.
    Software being installed: IBM Worklight Studio 5.0.5001.v20121217_1857 (com.ibm.imp.tools.feature.feature.group 5.0.5001.v20121217_1857)
    Software currently installed: Optional: Rich Page Editor 5.0.30.v20120809_1515 (com.ibm.imp.rpe.tools.feature.feature.group 5.0.30.v20120809_1515)
    Only one of the following can be installed at once:
      Optional: Rich Page Editor 5.0.30.v20120809_1515 (com.ibm.imp.rpe.tools.feature.feature.jar 5.0.30.v20120809_1515)
      IBM Rich Page Editor 5.0.5001.v20121214_1542 (com.ibm.imp.rpe.tools.feature.feature.jar 5.0.5001.v20121214_1542)
    Cannot satisfy dependency:
      From: Optional: Rich Page Editor 5.0.30.v20120809_1515 (com.ibm.imp.rpe.tools.feature.feature.group 5.0.30.v20120809_1515)
      To: com.ibm.imp.rpe.tools.feature.feature.jar [5.0.30.v20120809_1515]
    Cannot satisfy dependency:
      From: IBM Rich Page Editor 5.0.5001.v20121214_1542 (com.ibm.imp.rpe.tools.feature.feature.group 5.0.5001.v20121214_1542)
      To: com.ibm.imp.rpe.tools.feature.feature.jar [5.0.5001.v20121214_1542]
    Cannot satisfy dependency:
      From: IBM Worklight Studio 5.0.5001.v20121217_1857 (com.ibm.imp.tools.feature.feature.group 5.0.5001.v20121217_1857)
      To: com.ibm.imp.rpe.tools.feature.feature.group 5.0.5001.qualifier

Cause

A change was made after IBM Worklight 5.0.0.3 that results in the Rich Page Editor no longer being an optionally installed component. Rather, it is installed as part of the base components. This change had an effect on how an Eclipse update is applied.

Resolving the problem

When you imply the upgrade, complete the following steps:

  1. Start the Eclipse workbench.
  2. Open the Window menu and click Preferences.
  3. In the left panel, click Install/Update, which will expand the options below it.
  4. Click Available Software Sites.
  5. Click Add.
  6. In the Add Site window enter a value in the Name field such as "IBM Worklight Update".
  7. Click Archive, navigate to the fix pack archive, and click Open.
    Back in the Add Repository window, the Location field should now be filled in.
  8. Click OK to exit the Preferences window.
  9. Open the Help menu and click Check for Updates.
  10. In the Available Updates window, select the items you want to install or update.
  11. Click Next and follow the instructions to complete the installation.

For generic fix pack installation instructions, see Installing fix packs for IBM Worklight and IBM Mobile Foundation.

Rate this page:

(0 users)Average rating

Document information


More support for:

IBM Worklight
Upgrades

Software version:

5.0.5, 5.0.5.1, 5.0.6

Operating system(s):

AIX, HP-UX, Linux Red Hat - xSeries, Linux SUSE - xSeries, Mac OS X, Solaris, Windows

Software edition:

Consumer, Enterprise

Reference #:

1628635

Modified date:

2013-03-15

Translate my page

Machine Translation

Content navigation